%define upstream_name    Tk-Role-Dialog
%define upstream_version 1.112380

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Moose role for enhanced Tk dialogs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::JPEG)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Role::HasWidgets)
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(Module::Build)

BuildArch: noarch


%description
Tk::Role::Dialog is meant to be used as a Moose
role to be composed for easy Tk dialogs creation.

It will create a new toplevel with a title, and possibly a header as well
as some buttons.

The attributes (see below) can be either defined as defaults using the
'_build_attr()' methods, or passed arguments to the constructor call. The
only mandatory attribute is 'parent', but you'd better provide some other
attributes if you want your dialog to be somehow usable! :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.112.380-11.mga10
+ Revision: 2212707
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 1.112.380-10.mga9
+ Revision: 1834398
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.112.380-9.mga8
+ Revision: 1497893
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.112.380-8.mga7
+ Revision: 1272390
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.112.380-7.mga6
+ Revision: 1035408
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.112.380-6.mga6
+ Revision: 933140
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.112.380-5.mga5
+ Revision: 750370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.112.380-4.mga5
+ Revision: 686729
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.380-3.mga4
+ Revision: 515720
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.380-2.mga3
+ Revision: 374465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 26 2011 jquelin <jquelin> 1.112.380-1.mga2
+ Revision: 135526
- update to 1.112380

* Wed Jan 26 2011 jquelin <jquelin> 1.101.480-1.mga1
+ Revision: 40063
- mageia rebuild
- imported package perl-Tk-Role-Dialog

